Gatana logoGatana Docs
RoutesMcp servers

/mcp-servers

Create a new MCP server

POST
/mcp-servers
AuthorizationBearer <token>

In: header

Request Body

application/json

transportType*string

Transport type: httpstreaming, sse, stdio, hosted, or openapi

Value in"hosted" | "stdio" | "httpstreaming" | "sse" | "openapi"
slug*string

Technical identifier.

Match^[-a-z0-9]+$
Lengthlength <= 20
isOutputCompressionEnabled?boolean

Whether to enable text output compression for this server. Default is true.

Defaulttrue
visibility?string

Server visibility. "private" (default) restricts access to members only. "public" makes the server visible and usable by all organization members.

Value in"private" | "organization"

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers" \  -H "Content-Type: application/json" \  -d '{    "transportType": "hosted",    "slug": "string"  }'
{
  "server": {
    "id": "string",
    "slug": "string",
    "tenantId": "string",
    "description": "string",
    "authorization": {
      "method": "none",
      "credentialsScope": "server",
      "apikeys": [
        "string"
      ],
      "toolRefreshCredentialPolicy": "server-scoped"
    },
    "transportConfig": {
      "type": "httpstreaming",
      "url": "string",
      "headers": [
        [
          "string",
          "string"
        ]
      ]
    },
    "oauthClientConfiguration": {},
    "oauthMetadata": {},
    "visibility": "private",
    "isEnabled": true,
    "lastToolRefreshAt": "string",
    "timeoutProtocol": 9007199254740991,
    "timeoutTotal": 9007199254740991,
    "resetTimeoutOnProgressNotification": true,
    "isOutputCompressionEnabled": true,
    "isOutputCompressionTransformEnabled": true,
    "outputCompressionThresholdBytes": 1024,
    "firewallRules": [
      {
        "condition": "string",
        "action": "deny"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string"
  },
  "files": [
    {
      "tenantId": "string",
      "serverId": "string",
      "id": "string",
      "filename": "string",
      "sourceType": "gcs",
      "sourceId": "string",
      "size": 0,
      "credentialId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}